from django.db import models
import datetime
from django.utils import timezone

class TriggerLog(models.Model):
    user = models.CharField(max_length=20)
    logTime = models.DateTimeField('event time')
    ip = models.CharField(max_length=16)
    triggerSuccess = models.BooleanField()
    def __str__(self):
        #return self.user + ' -- ' + self.logTime.strftime('%Y-%m-%d %H:%M:%S')
        return self.user + ' -- ' + timezone.localtime(self.logTime).strftime('%Y-%m-%d %H:%M:%S' + ' -- ' + self.ip)

